Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server Support for Apache Beehive

## com.bea.control
Class JdbcControl.SQLParameter

    java.lang.Object
      com.bea.control.JdbcControl.SQLParameter

Enclosing class:
  JdbcControl

public static class JdbcControl.SQLParameter
extends Object

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`int` | `dir`
`static int` | `IN`
`static int` | `INOUT`
`static int` | `OUT`
`int` | `type`
`Object` | `value`

Constructor Summary
`JdbcControl.SQLParameter(Object value)`
`JdbcControl.SQLParameter(Object value, int type)`
`JdbcControl.SQLParameter(Object value, int type, int dir)`

Method Summary
`Object` | `clone()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dir

    public int dir

### IN

    public static final int IN

See Also:
  Constant Field Values

### INOUT

    public static final int INOUT

See Also:
  Constant Field Values

### OUT

    public static final int OUT

See Also:
  Constant Field Values

### type

    public int type

### value

    public Object value

Constructor Detail

### JdbcControl.SQLParameter

    public JdbcControl.SQLParameter(Object value)

### JdbcControl.SQLParameter

    public JdbcControl.SQLParameter(Object value,
                                    int type)

### JdbcControl.SQLParameter

    public JdbcControl.SQLParameter(Object value,
                                    int type,
                                    int dir)

Method Detail

### clone

    public Object clone()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD